> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk save categories

> Save multiple nomenclature categories in bulk.



## OpenAPI

````yaml post /v1/nomenclature/categories/bulk
openapi: 3.0.0
info:
  title: Nomenclature API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature/categories/bulk:
    post:
      tags:
        - Nomenclature / Categories
      summary: Bulk save categories
      description: Save multiple nomenclature categories in bulk.
      operationId: bulkSaveCategories
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/NomenclatureCategoryPayload'
      responses:
        '200':
          description: Categories saved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ids:
                    type: array
                    items:
                      type: string
components:
  schemas:
    NomenclatureCategoryPayload:
      type: object
      required:
        - name
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        parentId:
          type: string
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````